*;
*  TO DO: Review the output of the code that creates the Excel output.
*         NOTE the ODS statements at Lines 16 and 64.
*;

*;
*  Open the Excel destination to create the procedure output.
*
*  Note the addition of the BY statement to programmatically 
*  name the workshsheets, and Excel-specific options.
*;

title1 'Table x.y: Change from Baseline LDL-C by Scheduled Visit';
title2 "Study &STUDYID";

ods Excel file="&PATH\CHOL_Report_Exercise10.xlsx" style=Journal
  options(orientation='landscape'
          embedded_titles='yes'
          suppress_bylines='yes'
          sheet_name='Week #byval(avisitn)');

proc report data=work.report_final nowd missing split='~' style(header)=[font_style=roman];
  by avisitn;
  columns avisitn section rownum indent rowlbl trt_:;

  define avisitn / order order=internal noprint;
  define section / order order=internal noprint;
  define rownum  / order order=internal noprint;
  define indent  / noprint;
  define rowlbl  / display ' ' style(column)=[asis=on];
  define trt_:   / display center;

  break after avisitn / page;

  compute before avisitn / style=[just=l];
    text = catx(' ', 'Week', avisitn); 
    line text $;
  endcomp;

  compute rowlbl;
    *  Placeholder for superscript and indenting;
    if (rowlbl eq 'Summary Statistics')
      then rowlbl = cats(rowlbl, '^{super a}');
    else if (rowlbl eq 'LS Mean')
      then rowlbl = cats(rowlbl, '^{super b}');
    if (indent.sum ne 0)
      then rowlbl = cats('^{nbspace 3}', rowlbl);
  endcomp;

  compute after avisitn / style=[just=l];
    line ' ';
    line 'N = number of subjects randomized; Xanomeline Low Dose = 54 mg; Xanomeline High Dose = 81 mg.';
    line ' ';
    line '^{super a}Summary statistics are based on observed data.';
    line ' ';
    line '^{super b}LS mean is from a repeated measures model which includes effects: treatment group, scheduled';
    line 'visit, and the interaction of treatment with scheduled visit.';
  endcomp;

run; quit;

*  Close the Excel destination;

ods Excel close;

;*';*";*/;quit;run;
* Reference for code above: http://tinyurl.com/mjde9fc ;