*;
*  TO DO: Specify the ODS statements to list the available output tables.
*         (Lines 14 and 49)
*;

*  Turn ODS graphics off;

ods graphics off;

*  Open the HTML destination to create the procedure output;

ods html path="&PATH" file='Statistics.htm' style=Journal;

;

*  Create data for the column headings of the report;

title 'Data Used for the Column Headings of the Report';

proc summary print data=sample.adsl;
  class trt01pn trt01p;
run; quit;

*  Create the statistics for Section 1 of the report;

title 'Statistics for Section 1 of the Report';

proc summary print data=sample.analysis missing stackods n mean stderr median q1 q3 min max;
  class avisitn trt01pn;
  var chg;
run; quit;

*;
*  Create the statistics for Section 2 and Section 3 of the report.
*  Differences are computed in reference to the placebo 
*  (Active Drug - Placebo).
*;

title 'Statistics for Sections 2 and 3 of the Report';

proc mixed data=sample.analysis;
  class usubjid avisitn trt01pn;
  model chg = avisitn trt01pn avisitn*trt01pn / ddfm=kenwardroger;
  repeated avisitn / subject=usubjid type=un;
  lsmeans avisitn*trt01pn / cl;
  slice avisitn*trt01pn / cl diff=control('2' '0') sliceby=avisitn;
run; quit;

;

*  Close the HTML destination;

ods html close;

;*';*";*/;quit;run;
* Reference for code above: http://tinyurl.com/mjde9fc ;