*;
*  TO DO: Specify the values needed to create the input control data set
*         for a numeric format named COLHEAD.
*         (Lines 25, 26, 27, and 28)
*;

*;
*  Create the input control data set and format
*  used later to create the column headings.
*;

data work.colhead_cntlin(drop=trt01pn trt01p nobs first_space);
set work.colhead;
length fmtname $7 type $1 start end 8 label $30 first_space 8;

*  Replace the first blank space in the label with the split character;

first_space = index(strip(trt01p), ' ');

if (first_space ne 0)
  then substr(trt01p, first_space, 1) = '~';

*  Specify the required information for the format;

fmtname = '';
type    = '';
start   = ;
end     = ;
label   = strip(trt01p) || '~(N = ' || strip(put(nobs, &STATFMT0D)) || ')';
run;

proc format cntlin=work.colhead_cntlin; run; quit;

*  Open the HTML destination to create the procedure output;

ods html path="&PATH" file='COLHEADFormat.htm' style=Journal;

title 'The WORK.COLHEAD_CNTLIN Table';

proc print data=work.colhead_cntlin; run; quit;

title 'The COLHEAD Format';

proc format page;
  select colhead;
run; quit;

*  Close the HTML destination;

ods html close;

;*';*";*/;quit;run;
* Reference for code above: http://tinyurl.com/mjde9fc ;