*;
*  TO DO: Review the output of the code that creates the report.
*;

*  Open the RTF destination to create the procedure output;

ods rtf file="&PATH\CHOL_Report_Exercise6.rtf" style=Journal bodytitle;

title1 'Table x.y: Change from Baseline LDL-C by Scheduled Visit';
title2 "Study &STUDYID";

proc report data=work.report_final nowd missing split='~';
  columns avisitn section rownum indent rowlbl trt_:;

  define avisitn / order order=internal noprint;
  define section / order order=internal noprint;
  define rownum  / order order=internal noprint;
  define indent  / noprint;
  define rowlbl  / display ' ';
  define trt_:   / display center;

  break after avisitn / page;

  compute before avisitn / style=[just=l];
    text = catx(' ', 'Week', avisitn); 
    line text $;
  endcomp;

  compute rowlbl;
    *  Placeholder for superscript and indenting;
    if (rowlbl eq 'Summary Statistics')
      then;
    else if (rowlbl eq 'LS Mean')
      then;
    if (indent.sum ne 0)
      then;
  endcomp;

  compute after avisitn / style=[just=l];
    line ' ';
    line 'N = number of subjects randomized; Xanomeline Low Dose = 54 mg; Xanomeline High Dose = 81 mg.';
    line ' ';
    line 'Summary statistics are based on observed data.';
    line ' ';
    line 'LS mean is from a repeated measures model which includes effects: treatment group, scheduled';
    line 'visit, and the interaction of treatment with scheduled visit.';
  endcomp;

run; quit;

*  Close the RTF destination;

ods rtf close;

;*';*";*/;quit;run;
* Reference for code above: http://tinyurl.com/mjde9fc ;