*;
*  TO DO: Review the output of the code that creates the 
*         PDF and HTML output.
*         NOTE the ODS statements at lines 9, 10, 56, and 57.
*;

*  Open the PDF and HTML5 destinations to create the procedure output;

ods pdf   file="&PATH\CHOL_Report_Exercise9.pdf"        style=Journal;
ods html5 path="&PATH" file='CHOL_Report_Exercise9.htm' style=Journal;

title1 'Table x.y: Change from Baseline LDL-C by Scheduled Visit';
title2 "Study &STUDYID";

proc report data=work.report_final nowd missing split='~' style(header)=[font_style=roman];
  columns avisitn section rownum indent rowlbl trt_:;

  define avisitn / order order=internal noprint;
  define section / order order=internal noprint;
  define rownum  / order order=internal noprint;
  define indent  / noprint;
  define rowlbl  / display ' ' style(column)=[asis=on];
  define trt_:   / display center;

  break after avisitn / page;

  compute before avisitn / style=[just=l];
    text = catx(' ', 'Week', avisitn); 
    line text $;
  endcomp;

  compute rowlbl;
    *  Placeholder for superscript and indenting;
    if (rowlbl eq 'Summary Statistics')
      then rowlbl = cats(rowlbl, '^{super a}');
    else if (rowlbl eq 'LS Mean')
      then rowlbl = cats(rowlbl, '^{super b}');
    if (indent.sum ne 0)
      then rowlbl = cats('^{nbspace 3}', rowlbl);
  endcomp;

  compute after avisitn / style=[just=l];
    line ' ';
    line 'N = number of subjects randomized; Xanomeline Low Dose = 54 mg; Xanomeline High Dose = 81 mg.';
    line ' ';
    line '^{super a}Summary statistics are based on observed data.';
    line ' ';
    line '^{super b}LS mean is from a repeated measures model which includes effects: treatment group, scheduled';
    line 'visit, and the interaction of treatment with scheduled visit.';
  endcomp;

run; quit;

*  Close the PDF and HTML5 destinations;

ods pdf   close;
ods html5 close;

;*';*";*/;quit;run;
* Reference for code above: http://tinyurl.com/mjde9fc ;