options nodate nonumber missing='-';

*  Close all ODS destinations, and then open when needed;

ods _all_ close;

*  Direct ODS output to the results window;

ods results;

*  ODS escape character used for inline formatting;

ods escapechar = '^';

*  Directory of input and output files;

%let PATH=C:\HOW\DelGobbo;

*  Library for input data;

libname sample "&PATH" access=read;

*;
*  Create a global macro variable with the
*  value of the study ID for use in a title.
*;

data _null_;
set sample.adsl(obs=1);
call symputx('STUDYID', studyid);
run;

*  Format used for N;

%let STATFMT0D=12.;

*  Format used for MIN and MAX requires two decimal places;

%let STATFMT2D=%sysevalf(&STATFMT0D + 0.2);

*  Format used for other statistics requires three decimal places;

%let STATFMT3D=%sysevalf(&STATFMT2D + 0.1);